import { UnParser } from "../transpiler/unparser";
import { Transpiler } from "../transpiler";
export interface Node {
    NodeName: string;
    TokenLiteral: () => string;
    String: () => string;
    UnParse: (unParserContext?: UnParser) => string;
}
export declare function newProgramASTNode(): Program;
export interface Statement extends Node {
    statementNode(): any;
}
export interface IBlockStatement {
    Statements: Statement[];
}
export declare class Program implements IBlockStatement {
    Statements: Array<Statement>;
    NodeName: string;
    constructor(Statements: Array<Statement>, NodeName?: string);
    TokenLiteral(): string;
    String(): string;
    UnParse(ctx: Transpiler): string;
}
