"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function newProgramASTNode() {
    var p = new Program(Array());
    return p;
}
exports.newProgramASTNode = newProgramASTNode;
var Program = /** @class */ (function () {
    function Program(Statements, NodeName) {
        if (NodeName === void 0) { NodeName = "Program"; }
        this.Statements = Statements;
        this.NodeName = NodeName;
    }
    Program.prototype.TokenLiteral = function () {
        if (this.Statements.length > 0) {
            return this.Statements[0].TokenLiteral();
        }
        else {
            return "";
        }
    };
    Program.prototype.String = function () {
        var out = "";
        this.Statements.forEach(function (s) {
            out += s.String();
        });
        return out;
    };
    Program.prototype.UnParse = function (ctx) {
        var statements = ctx.transpileBlock(this.Statements, true);
        // console.log("injected header: ", ctx.getProgramHeader());
        // console.log("-------");
        // console.log("injected footer: ", ctx.injectedContextUpdate);
        // console.log("-------");
        return ctx.getProgramHeader() +
            statements + ctx.injectedContextUpdate;
    };
    return Program;
}());
exports.Program = Program;
