"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var builtin_util_1 = require("./builtin-util");
var object_1 = require("../object/object");
function RegExpState(pattern) {
    this.kernel = new RegExp(pattern);
}
exports.ECS_RegExp = builtin_util_1.makeBuiltinClass("RegExp", [
    [
        "RegExp",
        new object_1.Builtin("RegExp", [object_1.STRING_OBJ], function (context, scope, jsScope, pattern) {
            if (context === void 0) { context = null; }
            if (scope === void 0) { scope = null; }
            jsScope = new RegExpState(pattern.Value);
        }, null, null, null, true),
    ],
    [
        "test",
        new object_1.Builtin("test", [object_1.STRING_OBJ], function (context, scope, jsScope, against) {
            return scope.builtins.kernel.test(against.Value) ? object_1.TRUE : object_1.FALSE;
        }, null, null, null, true),
    ]
]);
