import { Environment } from "../object/environment";
import { EObject, FunctionObject, Hash } from "../object/object";
import { Program } from "../ast";
import { ParseTreeAnalysis } from "../parser";
export declare type EvalFunction = (node: any, env: Environment, objectContext?: Hash, analysis?: ParseTreeAnalysis) => EObject;
export declare type EvalProgramFunction = (program: Program, env: Environment) => EObject;
export declare type EvalBodyAndApplyFunctionFn = (fn: FunctionObject, env: Environment, args: EObject[]) => EObject;
