"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sprintf = function (s) {
    var a = [];
    for (var _i = 1; _i < arguments.length; _i++) {
        a[_i - 1] = arguments[_i];
    }
    var strings = [], numbers = [];
    for (var _a = 0, a_1 = a; _a < a_1.length; _a++) {
        var e = a_1[_a];
        if (typeof e == "string") {
            strings.push(e);
        }
        else {
            numbers.push(e);
        }
    }
    for (var _b = 0, numbers_1 = numbers; _b < numbers_1.length; _b++) {
        var n = numbers_1[_b];
        s = s.replace(/\%d/, n);
    }
    for (var _c = 0, strings_1 = strings; _c < strings_1.length; _c++) {
        var str = strings_1[_c];
        s = s.replace(/\%s/, str);
    }
    return s;
};
function forceSingleLine(text) {
    text = (text ? (text.indexOf("\n") > -1 ? text.replace(/\n/g, "") : text) : "");
    var l = text.length;
    if (text[l - 2] != ";" && text[l - 1] != ";") {
        text = text + ";";
    }
    return text;
}
exports.forceSingleLine = forceSingleLine;
function distance2d(a, b) {
    return Math.sqrt(Math.pow((a[0] - b[0]), 2) + Math.pow((a[1] - b[1]), 2));
}
exports.distance2d = distance2d;
function isAbstractDataType(dataType) {
    if (dataType && dataType.length > 0) {
        var initial = dataType.charCodeAt(0);
        return initial >= 65 && initial <= 90;
    }
    return false;
}
exports.isAbstractDataType = isAbstractDataType;
