import { WorkerContext } from './runtime/events';
export declare type AnyObject = {
    [key: string]: any;
};
export declare let scaleString: (input: string, scale: number[]) => string;
export declare function getWindow(): any;
export declare function getDocument(): any;
export declare function readLineFromDocument(prompt: string): string;
export declare function printToDocument(value: string): void;
export declare function platformSpecificCallNoSpread(context: WorkerContext, scope: AnyObject, nodeImpl: Function, webImpl: Function, webWorkerImpl: Function, args: any[]): any;
export declare function platformSpecificCall(context: WorkerContext, scope: AnyObject, nodeImpl: Function, webImpl: Function, webWorkerImpl: Function, args?: any[]): any;
export declare function workerNativeCall(context: WorkerContext, callName: string, args: any[], native?: boolean): void;
export declare let println: (context: WorkerContext, scope: AnyObject, jsScope?: AnyObject, args?: any[]) => void;
export declare let printNativeString: (context: WorkerContext, scope: AnyObject, str: string) => void;
export declare function readStdInSync(Buffer: any, fs: any, process: any): any;
export declare let getSourceFile: (path: string, readWholeFile: Function, fs: any) => any;
export declare let evaluateSourceFile: (env: any, embeddedInterpreter: any, path: string, readWholeFile: Function, fs: any) => any;
