import { EObject, ObjectType, Builtin, FunctionObject, Stream, Hash } from "../object/object";
import { STREAM_DIRECTION } from "../token";
export declare function assertBuiltinArgs(args: EObject[], min: number, max?: number, name?: string, types?: (ObjectType | ObjectType[])[]): import("../object/object").ErrorObject;
export declare function numericArgumentsError(methodName: string, theArgs: number[], n: number): false | import("../object/object").ErrorObject;
export declare let makeBuiltinClass: (className: string, fields: [string, EObject | Builtin][], modifiers?: {
    [_: string]: number[];
}) => Hash;
export declare function makeBuiltinInterface(methods: [string, Builtin | EObject][], modifiers?: {
    [_: string]: number[];
}): Hash;
export declare function makeBuiltinStream(dataType: string, direction: STREAM_DIRECTION, transforms: FunctionObject[], source?: FunctionObject, sink?: FunctionObject): Stream;
export declare let makeAPIFromMapOfStringLists: (map: {
    [_: string]: string[];
}, mapper: (namespace: string, method: string) => [string, FunctionObject]) => [string, Hash][];
export declare let makeBuiltinEnum: (names: string[]) => Hash;
