"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.events = {
    HostEvent: [],
    ability: ["use", "learn"],
    activate: ["select"],
    audio: ["play", "record", "stop"],
    assets: [],
    browser: [],
    camera: [],
    chat: ["get", "send"],
    control: ["use"],
    conveyor: [],
    cursor: [],
    data: ["load"],
    datgui: [],
    destructable: ["blowUp", "takeDamage", "heal"],
    display: [],
    virtualDevice: [],
    door: ["open", "close", "lock", "unlock"],
    drawing: [],
    emote: [],
    faction: ["join", "leave", "create", "disband"],
    factory: ["spawn", "configure"],
    factoryProvider: ["spawn", "configure"],
    fbx: [],
    file: ["read", "write"],
    forky: [],
    floor: [],
    geometry: [],
    grab: ["grab", "release"],
    graph: ["connectNode", "connectEdge", "removeNode", "removeEdge"],
    graphics: [
        "draw", "noise", "loop", "fillStyle", "strokeStyle",
        "stroke", "fillRect", "lineTo", "moveTo", "beginPath"
    ],
    hand: [],
    head: [],
    hover: ["select"],
    input: ["get", "send"],
    inputMapper: [],
    light: ["update"],
    layout: [],
    lookAway: ["unSelect"],
    magic: ["enchantment", "cast"],
    material: [],
    media: [],
    miniature: [],
    movement: ["setVelocity"],
    npc: ["attention", "changeFocus"],
    obj: [],
    oimo: [],
    objective: ["complete", "fail"],
    particles: ["spawn", "configure"],
    pipeline: [],
    midi: ["get", "send"],
    portal: ["activated"],
    projectile: [],
    quest: ["start", "complete", "fail"],
    rest: [],
    rpgRace: [],
    signal: ["read", "route", "modulate", "removeModulation", "clearModulation"],
    space: [],
    skill: ["levelUp"],
    skybox: [],
    script: ["eval", "parse"],
    screenshot: [],
    socialMedia: [],
    seat: [],
    speech: ["speak"],
    state: [],
    stat: [],
    staticCollisions: ["hit", "hitUser"],
    terrain: [],
    text: ["update", "write"],
    template: [],
    toolUI: [],
    tool: ["equip", "unequip", "initLabel", "primaryAction", "secondaryAction", "configure"],
    toolBehavior: [],
    toolbox: [],
    user: [],
    vehicle: ["turnOn", "enter"],
    video: ["play", "record", "stop"],
    virtualMachine: [],
    wall: [],
    webrtc: [],
    weapon: ["fire", "overheat", "outOfBullets"]
};
