"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var error_1 = require("../../object/error");
function getComponentByName(components, name) {
    for (var c in components) {
        var item = components[c];
        if (item.name == name) {
            return item;
        }
    }
}
exports.getComponentByName = getComponentByName;
;
function vectorCallError(vector, name, arraySize) {
    if (!vector) {
        return error_1.newError("wrong number of arguments to " + name + ". got=%d, want=1", 0);
    }
    if (typeof vector != "object" || !vector.length) {
        return error_1.newError("argument to " + name + " must be ARRAY[" + arraySize + "], got %s", typeof vector);
    }
}
exports.vectorCallError = vectorCallError;
