import * as ast from './ast';
import * as object from './object/object';
import * as environment from './object/environment';
import { ParseTreeAnalysis } from './parser';
export declare function Eval(node: any, env: environment.Environment, objectContext?: object.Hash, analysis?: ParseTreeAnalysis): object.EObject;
export declare function optimizedEvalProgram(program: ast.Program, env: environment.Environment): object.EObject;
export declare function evalProgram(program: ast.Program, env: environment.Environment): object.EObject;
export declare function applyFunction(fn: object.FunctionObject, env: environment.Environment, args: object.EObject[], objectContext?: object.Hash): object.EObject;
export declare function applyBuiltinFunction(fn: object.Builtin, args: object.EObject[], env: environment.Environment, objectContext?: object.Hash): object.EObject;
