import * as token from './token';
export declare class Lexer {
    private input;
    position: number;
    readPosition: number;
    ch: any;
    lineNumber: number;
    constructor();
    setText(input: string): void;
    NextToken(): token.Token;
    getInputLength(): number;
    skipWhitespace(): void;
    peekChar(): string;
    readChar(): void;
    readIdentifier(): string;
    readNumber(): [boolean, string];
    readString(endChar: string): string;
    private isNewLine;
}
export declare function isWholeDigit(ch: string): boolean;
export declare function isDigit(ch: string): boolean;
export declare function isLetter(ch: string): boolean;
export declare function newToken(tokenType: token.TokenType, ch: string): token.Token;
