#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var index_1 = require("../index");
var node_1 = require("./node");
var ecs = new index_1.ECS({});
(function () {
    if (typeof Window == 'undefined') { // nodejs
        var args = process.argv.slice(2);
        ecs.repl(args, node_1.makeCLIRepl);
        // TODO: support ReplPlugins
        // ^^^ read from file system + load es modules
    }
    else { // else if ( not in a web worker )
        ecs.webRepl();
    }
    // figure out if this is being used as a cluster as master / slave
})();
