import { VirtualFileSystem } from "./virtual-fs";
/**
 * Need to know:
 *
 * where the source files are for the classes,
 * or
 * where the classes are in the current parse tree so the AST can be used
 *
 *
 *
 */
export declare class ModuleLoader {
    private vfs;
    private builtinLoader;
    private dynamicLoader;
    constructor(vfs: VirtualFileSystem);
}
export declare class BuiltinClassLoader {
    load(path: string[]): void;
}
export declare class DynamicClassLoader {
    load(path: string[]): void;
}
