declare const // Spooky things
ILLEGAL = "ILEGAL", EOF = "EOF", TRUE = "TRUE", FALSE = "FALSE", IDENT = "IDENT", // add, foobar, x, y, ...
INT = "INT", // 1234566
FLOAT = "FLOAT", FUNCTION = "FUNCTION", STRING = "STRING", ASSIGN = "=", PLUS = "+", BANG = "!", MINUS = "-", SLASH = "/", ASTERISK = "*", MOD = "%", LT = "<", GT = ">", EQ = "==", NOT_EQ = "!=", AND = "&&", OR = "||", SOURCE = "->", SINK = "<-", INSERTION = "<<", EXTRACTION = ">>", COMMA = ",", SEMICOLON = ";", COLON = ":", LPAREN = "(", RPAREN = ")", LBRACE = "{", RBRACE = "}", LBRACKET = "[", RBRACKET = "]", DOT = ".", LCOMMENT = "/*", RCOMMENT = "*/", LET_BOOL = "LET_BOOL", LET_INT = "LET_INT", LET_FLOAT = "LET_FLOAT", LET_STRING = "LET_STRING", LET_ARRAY = "LET_ARRAY", LET_OBJECT = "LET_OBJECT", LET_FUNCTION = "LET_FUNCTION", LET = "LET", CONST = "CONST", IF = "IF", ELSE = "ELSE", FOR = "FOR", SLEEP = "SLEEP", WHILE = "WHILE", RETURN = "RETURN", TYPEOF = "TYPEOF", EXEC = "EXEC", IMPORT = "IMPORT", NEW = "NEW", CONCEPT = "CONCEPT", CLASS = "CLASS", STREAM = "STREAM", PRIVATE = "PRIVATE", STATIC = "STATIC", FINAL = "FINAL", PURE = "PURE";
export declare type TokenType = string;
export declare type Token = {
    Type: TokenType;
    Literal: string;
};
export declare var keywords: {
    [keyword: string]: TokenType;
};
export declare let modifierTypes: string[];
export declare let modifierNames: string[];
export declare function LookupIdent(ident: string): TokenType;
export { ILLEGAL, EOF, IDENT, INT, FLOAT, ASSIGN, PLUS, BANG, MINUS, SLASH, ASTERISK, MOD, LT, GT, EQ, NOT_EQ, AND, OR, SOURCE, SINK, INSERTION, EXTRACTION, COMMA, SEMICOLON, COLON, LPAREN, RPAREN, LBRACE, RBRACE, LBRACKET, RBRACKET, DOT, LCOMMENT, RCOMMENT, FUNCTION, STRING, LET, CONST, LET_BOOL, LET_INT, LET_FLOAT, LET_STRING, LET_ARRAY, LET_OBJECT, LET_FUNCTION, IF, ELSE, RETURN, TRUE, FALSE, FOR, WHILE, SLEEP, EXEC, IMPORT, TYPEOF, STREAM, NEW, CLASS, CONCEPT, PRIVATE, STATIC, FINAL, PURE };
export declare enum STREAM_DIRECTION {
    READ = 0,
    WRITE = 1
}
