"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var // Spooky things
ILLEGAL = "ILEGAL", EOF = "EOF", 
// Identifiers + literals
TRUE = "TRUE", FALSE = "FALSE", IDENT = "IDENT", // add, foobar, x, y, ...
INT = "INT", // 1234566
FLOAT = "FLOAT", FUNCTION = "FUNCTION", STRING = "STRING", 
// Operators
ASSIGN = "=", PLUS = "+", BANG = "!", MINUS = "-", SLASH = "/", ASTERISK = "*", MOD = "%", LT = "<", GT = ">", EQ = "==", NOT_EQ = "!=", AND = "&&", OR = "||", SOURCE = "->", SINK = "<-", INSERTION = "<<", EXTRACTION = ">>", 
// Delimiters
COMMA = ",", SEMICOLON = ";", COLON = ":", LPAREN = "(", RPAREN = ")", LBRACE = "{", RBRACE = "}", LBRACKET = "[", RBRACKET = "]", DOT = ".", LCOMMENT = "/*", RCOMMENT = "*/", 
// Keywords
LET_BOOL = "LET_BOOL", LET_INT = "LET_INT", LET_FLOAT = "LET_FLOAT", LET_STRING = "LET_STRING", LET_ARRAY = "LET_ARRAY", LET_OBJECT = "LET_OBJECT", LET_FUNCTION = "LET_FUNCTION", LET = "LET", CONST = "CONST", IF = "IF", ELSE = "ELSE", FOR = "FOR", SLEEP = "SLEEP", WHILE = "WHILE", RETURN = "RETURN", TYPEOF = "TYPEOF", EXEC = "EXEC", IMPORT = "IMPORT", NEW = "NEW", CONCEPT = "CONCEPT", CLASS = "CLASS", INTERFACE = "INTERFACE", STREAM = "STREAM", 
// Modifiers
PRIVATE = "PRIVATE", STATIC = "STATIC", FINAL = "FINAL", PURE = "PURE";
exports.ILLEGAL = ILLEGAL;
exports.EOF = EOF;
exports.TRUE = TRUE;
exports.FALSE = FALSE;
exports.IDENT = IDENT;
exports.INT = INT;
exports.FLOAT = FLOAT;
exports.FUNCTION = FUNCTION;
exports.STRING = STRING;
exports.ASSIGN = ASSIGN;
exports.PLUS = PLUS;
exports.BANG = BANG;
exports.MINUS = MINUS;
exports.SLASH = SLASH;
exports.ASTERISK = ASTERISK;
exports.MOD = MOD;
exports.LT = LT;
exports.GT = GT;
exports.EQ = EQ;
exports.NOT_EQ = NOT_EQ;
exports.AND = AND;
exports.OR = OR;
exports.SOURCE = SOURCE;
exports.SINK = SINK;
exports.INSERTION = INSERTION;
exports.EXTRACTION = EXTRACTION;
exports.COMMA = COMMA;
exports.SEMICOLON = SEMICOLON;
exports.COLON = COLON;
exports.LPAREN = LPAREN;
exports.RPAREN = RPAREN;
exports.LBRACE = LBRACE;
exports.RBRACE = RBRACE;
exports.LBRACKET = LBRACKET;
exports.RBRACKET = RBRACKET;
exports.DOT = DOT;
exports.LCOMMENT = LCOMMENT;
exports.RCOMMENT = RCOMMENT;
exports.LET_BOOL = LET_BOOL;
exports.LET_INT = LET_INT;
exports.LET_FLOAT = LET_FLOAT;
exports.LET_STRING = LET_STRING;
exports.LET_ARRAY = LET_ARRAY;
exports.LET_OBJECT = LET_OBJECT;
exports.LET_FUNCTION = LET_FUNCTION;
exports.LET = LET;
exports.CONST = CONST;
exports.IF = IF;
exports.ELSE = ELSE;
exports.FOR = FOR;
exports.SLEEP = SLEEP;
exports.WHILE = WHILE;
exports.RETURN = RETURN;
exports.TYPEOF = TYPEOF;
exports.EXEC = EXEC;
exports.IMPORT = IMPORT;
exports.NEW = NEW;
exports.CONCEPT = CONCEPT;
exports.CLASS = CLASS;
exports.STREAM = STREAM;
exports.PRIVATE = PRIVATE;
exports.STATIC = STATIC;
exports.FINAL = FINAL;
exports.PURE = PURE;
exports.keywords = {
    "pure": PURE,
    "fn": FUNCTION,
    "let": LET,
    "const": CONST,
    "if": IF,
    "else": ELSE,
    "return": RETURN,
    "true": TRUE,
    "false": FALSE,
    "for": FOR,
    "sleep": SLEEP,
    "exec": EXEC,
    "import": IMPORT,
    "while": WHILE,
    "typeof": TYPEOF,
    "new": NEW,
    "class": CLASS,
    "concept": CONCEPT,
    "interface": INTERFACE,
    "private": PRIVATE,
    "static": STATIC,
    "final": FINAL,
    "boolean": LET_BOOL,
    "int": LET_INT,
    "float": LET_FLOAT,
    "string": LET_STRING,
    "array": LET_ARRAY,
    "object": LET_OBJECT,
    "function": LET_FUNCTION,
    "stream": STREAM
};
exports.modifierTypes = [PRIVATE, STATIC, FINAL, PURE];
exports.modifierNames = ["private", "static", "final", "pure"];
function LookupIdent(ident) {
    var tokenType = exports.keywords[ident], ok = tokenType != null;
    if (ok) {
        return tokenType;
    }
    return IDENT;
}
exports.LookupIdent = LookupIdent;
var STREAM_DIRECTION;
(function (STREAM_DIRECTION) {
    STREAM_DIRECTION[STREAM_DIRECTION["READ"] = 0] = "READ";
    STREAM_DIRECTION[STREAM_DIRECTION["WRITE"] = 1] = "WRITE";
})(STREAM_DIRECTION = exports.STREAM_DIRECTION || (exports.STREAM_DIRECTION = {}));
