"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var javascript_1 = require("./javascript");
var Translator = /** @class */ (function () {
    function Translator() {
        this.customTranspilers = {};
    }
    Translator.prototype.loadTranspiler = function (languageName, t) {
        this.customTranspilers[languageName] = t;
    };
    Translator.prototype.getTranspiler = function (languageName) {
        if (languageName === "js") {
            return new javascript_1.JSTranspiler();
        }
        else {
            return this.customTranspilers[languageName];
        }
    };
    return Translator;
}());
exports.Translator = Translator;
